#include <iostream>
#include <string>
#include <sstream>
using namespace std;
int main()
{
    unsigned long long int a,b,c;
    unsigned long long int z1,z2,z3,z4,z5,z6,maks;
    string b1="",b2="",b3="",b4="",b5="",b6="";
    cin>>a>>b>>c;
    std::string as=std::to_string(a);
    std::string bs=std::to_string(b);
    std::string cs=std::to_string(c);
    b1=b1+as+bs+cs;
    b2=b2+as+cs+bs;
    b3=b3+bs+as+cs;
    b4=b4+bs+cs+as;
    b5=b5+cs+bs+as;
    b6=b6+cs+as+bs;
    std::istringstream s1 (b1);
    s1>>z1;
    std::istringstream s2 (b2);
    s2>>z2;
    std::istringstream s3 (b3);
    s3>>z3;
    std::istringstream s4 (b4);
    s4>>z4;
    std::istringstream s5 (b5);
    s5>>z5;
    std::istringstream s6 (b6);
    s6>>z6;
    maks=z1;
    if(z2>maks)
        maks=z2;
    if(z3>maks)
        maks=z3;
    if(z4>maks)
        maks=z4;
    if(z5>maks)
        maks=z5;
    if(z6>maks)
        maks=z6;
    cout<<maks;
}